Ryke Weblog

Ubuntu, Linux, Android, Reflexiones y Eventos

U09.10. Firma digital en Ubuntu. DEU (Dirección Electrónica Única)

Posted by ryke en noviembre 11, 2009

En la navegación por la página web de la DEU, no tenía ningún problema con el uso del certificado digital a nivel de consulta, pero, en el momento en que para realizar alguna gestión necesitaba de la firma digital, el proceso no funcionaba.

Al final, la solución estaba en: utilizar el fichero que indican en la página de la DEU, copiarlo en el lugar adecuado y (¡cómo no!) otorgarle los permisos necesarios. Los sencillos pasos al efecto son los siguientes:

0. Asumo que ya está instalado java (sun-java6-jre) y que el certificado digital funciona correctamente, a excepción del proceso de firma digital

1. Descargar la librería libjss3.so desde la Zona de Descarga propia página de la DEU (http://notificaciones.administracion.es/PortalCiudadano/jar/libjss3.so)

2. Copiar el fichero libjss3.so en “un directorio incluido en el java.library.path” (en mi caso: /usr/lib/jvm/java-6-sun-1.6.0.15/jre/lib/i386)

3. Conceder permisos al fichero libjss3.so
Abrimos una sesión de Nautilus como Root, botón derecho sobre el archivo, Propiedades, Permisos:
Propietario: Root ; Acceso: Lectura, Escritura
Grupo: Root; Acceso: Lectura, Escritura
Otros; Acceso: Sólo Lectura

Permisos_libjss3.so-1

O bien, para los que prefieran el Terminal:
sudo chmod 775 /usr/lib/jvm/java-6-sun-1.6.0.15/jre/lib/i386/libjss3.so

4. Reiniciar el navegador (si estaba abierto mientras hacíamos los cambios)

4 comentarios to “U09.10. Firma digital en Ubuntu. DEU (Dirección Electrónica Única)”

  1. Animex38 said

    Muy buena página te felisito

    • ryke said

      Gracias por el comentario :-) . Espero que te haya podido ser de alguna utilidad. Ya me miraré tu página con calma, que pinta bien ;) . Un saludo

  2. Xavier said

    Hola Ryke,
    Yo tengo Ubuntu 64, he copiado la librería y le he dado permisos y me sigue dando un error 999.
    He llamado a telef.que indican y como es lógico en este país, en cuanto han oído la palabra LINUX se les han caído los pantalones al suelo. Dicen que SOLO funcioan con Linux y mozilla v2. (Patetico)
    Si tienes alguna idea, se agradecerá.
    bye

    • ryke said

      Hola. Coincido contigo en lo del patetismo. Pues desconozco si al ser de 64 b. puede ocasionar algún problema añadido. Lo que sí te puedo decir es que diría que a veces también es problema de ellos, ya que, sin tocar nada de mi configuración, ha habido días que me ha funcionado y días que no. Así que, quizás, antes de liarte, yo lo probaría en días diversos. Ya contarás a ver si ha habido éxito.
      (Repasa también el tema de Certificados… En Editar / Preferencias / Avanzado / Ver Certificados / Autoridades , busca el del FNMT, posiciónate encima, Editar y que tengas las 3 casillas activadas).

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

 
A %d blogueros les gusta esto: